import { ExternalUserReferenceData } from "./types";
import { AuthenticationStateType } from "../authentication-state";
export declare function deleteUser(userId: string): Promise<void>;
export declare function deleteExternalUser(data: ExternalUserReferenceData): Promise<void>;
export declare function deleteExternalReference(externalType: AuthenticationStateType, externalId: string): Promise<void>;
